///////////////////////////////////////////////////////////////////////////////
//
// TRIPjxp Programming Examples
//
// Copyright (C) 2011 Tieto Sweden AB - All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////
//
// Modification History:
//		TF	Sep, 2011	Created
//
///////////////////////////////////////////////////////////////////////////////
package com.tietoenator.trip.jxp.examples.ccl;

import com.tietoenator.trip.jxp.TdbException;
import com.tietoenator.trip.jxp.session.TdbNotificationSink;
import com.tietoenator.trip.jxp.session.TdbSession;

/**
 * A simple example of a notification sink for search comforter messages.
 */
public class ConsoleComforter 
	extends TdbNotificationSink
{
    private boolean m_mode = false;

    public ConsoleComforter(TdbSession session) throws TdbException
    {
        super(session);
    }

    void reset()
    {
        m_mode = false;
    }

    @Override
    public boolean onSearchComforter(String msg)
    {
        System.out.print("   >>> ");
        if (m_mode)
            System.out.print("Still ");
        System.out.println(msg);

        m_mode = !m_mode;

        // Returning false here would abort the query, but asynch key
        // press detection is not possible in Java console apps without
        // JNI code, so this sample comforter always returns true ("continue").

        return true;
    }
}
