///////////////////////////////////////////////////////////////////////////////
//
// TRIPjxp Programming Examples
//
// Copyright (C) 2006-2009 Tieto Sweden AB - All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////
//
// Modification History:
//		GF	Aug 11, 2006	Created
//
///////////////////////////////////////////////////////////////////////////////
package com.tietoenator.trip.jxp.examples.control;

import com.tietoenator.trip.jxp.TdbControlObject;
import com.tietoenator.trip.jxp.examples.util.StringFormatter;

/**
 * Utility class that outputs TdbControlObjectList entries, i.e. TdbControlObject
 * objects to the console.
 */
public class ListPrinter
{
   private static StringFormatter m_sf;

   /**
    * Show a list header
    */
   public static void showHeader(boolean useOwner)
   {
      m_sf = new StringFormatter();
      m_sf.add("Name", 16);
      m_sf.add("  ");
	  if (useOwner)
	  {
		m_sf.add("Owner", 16);
		m_sf.add("  ");
	  }
      m_sf.add("Modified", 11);
      m_sf.add("  ");
      m_sf.add("Custom Properties");
      System.out.println("\n" + m_sf.toString());
      m_sf.clear();
      m_sf.add("====", 16);
      m_sf.add("  ");
	  if (useOwner)
	  {
	     m_sf.add("====", 16);
         m_sf.add("  ");
      }
      m_sf.add("========", 11);
      m_sf.add("  ");
      m_sf.add("=================");
      System.out.println(m_sf.toString());
   }

   /**
    * Show an individual item
    * @param ob The item to show
    */
   public static void showItem(TdbControlObject ob,boolean useOwner)
   {
      m_sf.clear();
      m_sf.add(ob.getName(), 16);
      m_sf.add("  ");
	  if (useOwner)
	  {
	     m_sf.add(ob.getOwnerName(),16);
		 m_sf.add("  ");
      }
	  m_sf.addRight(ob.getModifiedDate(), 11);
      m_sf.add("  ");
      for (String key : ob)
      {
         m_sf.add(key);
         m_sf.add("=");
         m_sf.add(ob.getCustom(key));
         m_sf.add("  ");
      }
      System.out.println(m_sf.toString());
      if (ob.getComment().length() > 0)
      {
         System.out.println("\t" + ob.getComment());
      }
   }

   private ListPrinter()
   {
   }
}
